Где взять пакет debhelper-compat ? (должен быть где-то в дебиане)

Knoppix

Модераторы: Warderer, Модераторы разделов

Аватара пользователя
жучара
Сообщения: 937
ОС: астралинукс

Где взять пакет debhelper-compat ? (должен быть где-то в дебиане)

Сообщение жучара »

Друзья! С этого репозитория скачаем исходники virtualbox (файл /etc/apt/sources.list):
deb [trusted=yes] http://fasttrack.debian.net/debian-fasttrack/ bullseye-fasttrack main contrib non-free
deb-src [trusted=yes] http://fasttrack.debian.net/debian-fasttrack/ bullseye-fasttrack main contrib non-free
Среди скачанных файлов будет и virtualbox_6.1.32-dfsg-1~fto11+2.dsc. Заглянем в него и посмотрим на сборочные зависимости:

Shell

cat virtualbox_6.1.32-dfsg-1~fto11+2.dsc

...
Build-Depends: bzip2, debhelper-compat (= 12), default-jdk, jaxws, dh-python, dkms, docbook-xml, docbook-xsl, dpkg-dev (>= 1.15.6~), g++-multilib, genisoimage, gsoap, acpica-tools, kbuild (>= 1:0.1.9998svn3098~), libasound2-dev, libcap-dev, libcurl4-gnutls-dev, libdevmapper-dev, libdrm-dev, libegl1-mesa-dev, libgl1-mesa-dev, libglu1-mesa-dev, libgsoap-dev, liblzf-dev, libidl-dev, libopus-dev, libpam0g-dev, libpixman-1-dev, libpng-dev, libpulse-dev, libqt5x11extras5-dev, libqt5opengl5-dev, qttools5-dev-tools, libsdl1.2-dev, libssl-dev, libvncserver-dev, libvpx-dev, libx11-dev, libxcomposite-dev, libxcursor-dev, libxdamage-dev, libxext-dev, libxi-dev, libxinerama-dev, libxml2-dev, libxml2-utils, libxmu-dev, libxrandr-dev, libxrender-dev, libxslt1-dev, libxt-dev, lsb-release, lynx, makeself, module-assistant, nasm, python3-dev, texlive-fonts-extra, texlive-fonts-recommended, texlive-latex-extra, texlive-latex-recommended, uuid-dev, x11proto-gl-dev, x11proto-xf86dri-dev, xserver-xorg-dev, xsltproc, yasm, zlib1g-dev
...
Вот, например, одна из сборочных зависимостей пакет debhelper-compat (= 12). А где его брать-то? Его в природе, похоже, вообще нет.
Screenshot_20220405_000404.png
И в подключенном репозитории тоже нет. Что делать- ума не приложу. Где же его брать-то? Спасибо, кто откликнется.
У вас нет необходимых прав для просмотра вложений в этом сообщении.
Я просто читаю маны.
Спасибо сказали:
Аватара пользователя
Zer0
Сообщения: 479
ОС: Void, Slackware

Re: Где взять пакет debhelper-compat ? (должен быть где-то в дебиане)

Сообщение Zer0 »

А отсюда не подходит? Для Вашей версии Debian.
Memento mori ... сделай бэкап.
Спасибо сказали:
Аватара пользователя
Bizdelnick
Модератор
Сообщения: 20725
Статус: nulla salus bello
ОС: Debian GNU/Linux

Re: Где взять пакет debhelper-compat ? (должен быть где-то в дебиане)

Сообщение Bizdelnick »

Shell

% aptitude show debhelper-compat
Нет подходящей версии для debhelper-compat
Пакет: debhelper-compat
Состояние: не настоящий пакет
Предоставляется: debhelper (13.3.4), debhelper (13.3.4), debhelper (13.3.4), debhelper (13.3.4), debhelper (13.3.4)
%
Пишите правильно:
в консоли
вку́пе (с чем-либо)
в общем
вообще
в течение (часа)
новичок
нюанс
по умолчанию
приемлемо
проблема
пробовать
трафик
Спасибо сказали: